summaryrefslogtreecommitdiff
path: root/tests/other-fs-tmpdir
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2009-08-29 09:18:45 +0200
committerJim Meyering <meyering@redhat.com>2009-08-29 19:19:37 +0200
commit0a859a6cb0000f3662f1b06c151d80e1d764f983 (patch)
tree729471c2d17a459c5e9c181fab2e98d9e5d57e27 /tests/other-fs-tmpdir
parent450df0f26d9681fa6bcb876b65c2e18fea92130c (diff)
downloadcoreutils-0a859a6cb0000f3662f1b06c151d80e1d764f983.tar.xz
tests: other-fs-tmpdir: don't misbehave for quote-unfriendly $TMPDIR
* tests/other-fs-tmpdir: Quote uses of variables that might expand to strings containing e.g., whitespace.
Diffstat (limited to 'tests/other-fs-tmpdir')
-rw-r--r--tests/other-fs-tmpdir6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/other-fs-tmpdir b/tests/other-fs-tmpdir
index 4340ac5d6..103597836 100644
--- a/tests/other-fs-tmpdir
+++ b/tests/other-fs-tmpdir
@@ -29,12 +29,12 @@ dot_mount_point=`stat -c %d .`
for d in $CANDIDATE_TMP_DIRS; do
# Skip nonexistent directories.
- test -d $d || continue
+ test -d "$d" || continue
- d_mount_point=`stat -L -c %d $d`
+ d_mount_point=`stat -L -c %d "$d"`
# Same partition? Skip it.
- test x$d_mount_point = x$dot_mount_point && continue
+ test "x$d_mount_point" = "x$dot_mount_point" && continue
# See if we can create a directory in it.
if mkdir "$d/tmp$$" > /dev/null 2>&1; then